Subject: Re: bug#76650: 31.0.50; Add lua-mode to Emacs

From: john muhl <[email-masked]>
Date: Tue, 04 Mar 2025 14:17:15 -0600

Eli Zaretskii <[email-masked]> writes:

>> From: john muhl <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>, Andrea Corallo <[email-masked]>,
>>  [email-masked], [email-masked]
>> Date: Tue, 04 Mar 2025 12:50:03 -0600
>> 
>> 
>> Stefan Kangas <[email-masked]> writes:
>> 
>> > [email-masked] writes:
>> >
>> >> I’ve talked with Denis (the current maintainer) about integrating
>> >> lua-mode into Emacs and they are in favor of it. If there is
>> >> interest on the Emacs side I can send over the list of
>> >> contributors for assignment verification. There are about a dozen
>> >> authors with contributions over the exempted 15 lines and most of
>> >> those I was able to find commits from in emacs.git.
>> >
>> > Sounds like a good plan, thank you.  LUA is quite popular, so I think it
>> > would be important to have built-in support for it, also it would help
>> > us develop lua-ts-mode.
>> >
>> > I don't know if Eli or Andrea have any further comments, but I'd say go
>> > for it.
>> 
>> Should I send the list of contributors to anyone in particular to
>> check on assignment status or just post them here? Should I
>> include email addresses in the list?
>
> Please post the list here, including email addresses.
>
> Thanks.

The list is based on the current code in lua-mode.el. The list of
all contributors is somewhat longer but I guessed that copyright
is a non-issue for code that is no longer in use. It also doesn’t
include those who only changed tests. lua-mode doesn’t use ERT for
testing so I don’t think we’ll be importing that code anyway.

The second group of names are those who should be exempt based on
a 15 line limit.

Augusto Stoffel [email-masked]
Jonas Bernoulli [email-masked]
Juergen Hoetzel [email-masked]
Julien Danjou [email-masked]
Mark Oteiza [email-masked]
Nikita Bloshchanevich [email-masked]
Philip K [email-masked]
Reuben Thomas [email-masked]
Robert Cochran [email-masked]
Rolando Pereira [email-masked]
Stefan Kangas [email-masked]
USAMI Kenta [email-masked]
Vedat Hallac [email-masked]
immerrr [email-masked]

Dmitry Kalinkin [email-masked] c1b60197
Edward Betts [email-masked] 5a906553
Joram Schrijver [email-masked] dccda192
Leonardo Etcheverry [email-masked] 91b59745 4a203b9e b9541cef
Libor Čapák [email-masked]
Mario Rodas [email-masked]
Peter Vasil [email-masked]
Rafael Sanchez [email-masked]
Thomas Jost [email-masked]
edam [email-masked]
paralogismos [email-masked]
xristos [email-masked]